Rated 1 out of 5 stars

What is the whole crap about having to accept a license full of legal mumbo-jumbo for GPL 3.0 software?

It broke FF 10.0, spent the best part of two hours figuring out why. Unforgivable and I will not even try the updated version anymore.

This review is for a previous version of the add-on (2.0.2). 

Fixed and live in less than 24 hours

See my replies below — the bug is fixed in version 2.0.2.

I won’t apologize for being responsible and taking the time to write a terms of use, though.